<div *ngIf="loaded">
    <button style="float: right;" mat-button (click)="dialogRef.close()">
        Cerrar
        <mat-icon>close</mat-icon>
    </button>
    <div *ngIf="products.length > 0" class="container">
        <h2>Información del pedido</h2>
        <table class="table">
            <thead>
                <tr>
                    <th class="form__col">Nombre de producto</th>
                    <th class="form__col">Cantidad de producto</th>
                    <th class="form__col">Unidad de Compra</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let product of products">
                    <td class="table__item-name">
                        {{product.name}}
                    </td>
                    <td>
                        <button mat-icon-button (click)="product.quantity=product.quantity+1">
                            <mat-icon>add</mat-icon>
                        </button>
                        {{product.quantity}} 
                        <button mat-icon-button (click)="removeQuantity(product)">
                            <mat-icon>remove</mat-icon>
                        </button>
                    </td>
                    <td>
                        <mat-form-field>
                            <mat-label>Unidad de compra</mat-label>
                            <mat-select [(ngModel)]="product['unit']">
                                <mat-option *ngFor="let unit of product.units" [value]="unit">
                                    {{unit}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2>Datos de recolección del pedido</h2>
        <div class="form">
            <h3>
                Nombre del que recibirá el pedido: 
            </h3>
            <div class="form__row">
                <div class="form__col">
                    <mat-form-field class="form__input">
                        <mat-label>Nombre</mat-label>
                        <input #name matInput placeholder="Escribe aquí">
                    </mat-form-field>
                </div>
                <div class="form__col">
                    <mat-form-field class="form__input">
                        <mat-label>Apellido(s)</mat-label>
                        <input #lastname matInput placeholder="Escribe aquí">
                    </mat-form-field>
                </div>
            </div>
        </div>
        <div *ngIf="data.delivery_service" class="form">
            <h2>¿ Quiero mi pedido a domicilio ?</h2>
            <div class="slider">
                <mat-slide-toggle
                    [(ngModel)]="delivery_service">
                    {{delivery_service? 'Sí':'No'}}
                </mat-slide-toggle>
            </div>
            <div *ngIf="delivery_service">
                <div class="form__row">
                    <div class="form__col">
                        <mat-form-field class="form__input">
                            <mat-label>Dirección de entrega</mat-label>
                            <input [(ngModel)]="address" matInput placeholder="Escribe aquí">
                        </mat-form-field>
                    </div>
                    <div class="form__col">
                        <mat-form-field class="form__input">
                            <mat-label>Número de contacto</mat-label>
                            <mat-icon matPrefix>phone</mat-icon>
                            <input style="margin-left: 10px;" type="number" [(ngModel)]="phone" matInput placeholder="Escribe aquí">
                        </mat-form-field>
                    </div>
                </div>
                <div class="form__row">
                    <div class="form__col">
                        <h3 style="margin-top: 5px; margin-bottom: 5px;">
                            Escribe algunas referencias o características del domicilio: 
                        </h3>
                        <mat-form-field class="form__input">
                            <mat-label>Referencias de la dirección</mat-label>
                            <textarea [(ngModel)]="references" matInput placeholder="Escribe aquí"></textarea>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
        <button [disabled]="created" (click)="createOrder(name,lastname)" class="order__button" style="float: right;" mat-raised-button>
            <mat-icon>edit</mat-icon>
            Realizar pedido
        </button>
    </div>
    <div class="loading_screen" *ngIf="empty_error">    
        <h1 style="color: red;">Faltan campos por rellenar</h1>
    </div>
    <div class="loading_screen" *ngIf="unit_error">    
        <h1 style="color: red;">Tus productos necesitan especificar una unidad de compra</h1>
    </div>
    <div class="loading_screen" *ngIf="created">    
        <h1 style="color: green;">Tu pedido se ha generado en la tienda</h1>
    </div>
    <div class="loading_screen" *ngIf="products.length < 1">
        <h1>Al parecer no has agregado nada a tu carrito</h1>
    </div>
</div>
<div class="loading_screen" *ngIf="!loaded">
    <h1>Cargando tu pedido espera un momento</h1>
    <mat-spinner class="loading_screen__spinner"></mat-spinner>
</div>